Bug 228227 - ports-mgmt/portlint: overeager "typically when you specify magic site you do not need anything else"
Summary: ports-mgmt/portlint: overeager "typically when you specify magic site you do ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joe Marcus Clarke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-13 21:44 UTC by Gerald Pfeifer
Modified: 2018-06-24 16:14 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (marcus)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer freebsd_committer 2018-05-13 21:44:17 UTC
This warning added in response to PR 225503 has proved useful in helping me simplify gcc7, gcc6, and a couple of older GCC-related ports.

It is, however, overeager for several other cases, such as

  % cd $PORTSDIR/lang/gcc8-devel
  % portlint -C
  WARN: Makefile: typically when you specify magic site GCC you do not
  need anything else as releases/gcc-8-20180511 is assumed

This port has

  CATEGORIES=     lang
  MASTER_SITES=   GCC/snapshots/${DIST_VERSION}

whereas wh in Mk/bsd.sites.mk has

  GCC:releases/${DISTNAME} 


Would avoiding the warning when the first directory component of
MASTER_SITES is *not* part of what MASTER_SITES_ABBREVS be a good
heuristics?

(In this case that would be "snapshots" which is not part of
"releases/${DISTNAME}".)
Comment 1 Joe Marcus Clarke freebsd_committer 2018-05-28 20:08:51 UTC
Fixed in my repo pending the next release.

You may want to play with this as it touches a pretty low-level function in portlint.

https://www.marcuscom.com/cgi-bin/cvsweb.cgi/portlint/portlint.pl.diff?r1=1.463&r2=1.464&f=u
Comment 2 commit-hook freebsd_committer 2018-06-24 16:13:43 UTC
A commit references this bug:

Author: marcus
Date: Sun Jun 24 16:13:07 UTC 2018
New revision: 473207
URL: https://svnweb.freebsd.org/changeset/ports/473207

Log:
  Update to 2.18.3.

  * Be less strict in the check for MASTER_SITE_SUBDIR use.
    This change checks that the subdirectory used is actually different
    than what is defined in MASTER_SITES_SUBDIRS.  To make this easier to
    do, support has been added to single-quote variables passed to the
    get_makevar* functions. [1]

  * Now only PY_FLAVOR is recommended as opposed to FLAVOR. [2]

  * Remove an errant ':' when suggesting PY_FLAVOR. [3]

  PR:		228227 [1]
  Requested by:	mat [2]
  Reported by:	koobs [3]

Changes:
  head/ports-mgmt/portlint/Makefile
  head/ports-mgmt/portlint/src/portlint.pl
Comment 3 Joe Marcus Clarke freebsd_committer 2018-06-24 16:14:22 UTC
Committed to 2.18.3.